# Mail Preview

The purpose of this module is to help development of email templates allowing to render the full layout preview of each of them.

Odoo already allows you do preview emails but they are wrapped into Odoo backend theme.

NOTE: to make work properly your emails it’s strongly recommended to use mail_inline_css to include all styles in the body of the email.

Table of contents

- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Other credits
  - Maintainers

# Usage

- Go to a template and click on the preview button
- Select desired params and click on “Full layout preview” link
- You’ll get to the preview

As a developer, you can see a list of all templates for a model by going to:

> /email-preview/$model.name

You’ll get a list of all the templates. Follow the instructions there on how to use the links.

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Camptocamp SA

## Contributors

- Simone Orsi <simahawk@gmail.com>
- Phuc Tran Thanh <phuc@trobz.com>
- Son Ho <sonhd@trobz.com>

## Other credits

The development and migration of this module from 15.0 to 16.0 has been financially supported by:

- Camptocamp

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/social project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.